Guandata Open Platform
8.3.0
  • 8.3.0
  • 8.2.0
HomeWebsiteChinese version
Docs
  • Help Center
  • Guandata Academy
HomeWebsiteChinese version
Docs
  • Help Center
  • Guandata Academy
8.3.0
  • 8.3.0
  • 8.2.0
  1. Cards
  • Users
    • Batch Create Users
      POST
    • Batch Delete Users
      POST
    • Batch Update User Attributes
      POST
    • Batch Check Users Exist
      POST
    • Get Users by Attribute Value
      POST
    • Get User List
      POST
    • Get User Information via loginId
      POST
    • Modify User Status
      POST
  • Developer Guide
    • Token Authentication
    • Common Concepts
  • Datasets
    • Clear Dataset Data
      GET
    • Update Dataset Using Parquet File
      GET
    • Get Dataset List
      POST
    • Modify Dataset Path
      POST
    • Delete Dataset
      POST
    • Search Dataset List
      POST
    • Query Dataset Schema
      POST
    • Batch Update Dataset Update Mode
      POST
    • Get Users with Access Permission for Dataset
      POST
    • Upload Dataset
      POST
    • Get Dataset Download Authorization Token
      GET
    • Download Dataset Data
      POST
    • Get Dataset Data
      POST
    • Create Dataset
      POST
    • Update Dataset Field Comments
      POST
    • Trigger Dataset to Read Data File and Update
      GET
    • Query Dataset Update Result by TaskID
      GET
    • Modify Dataset Schema
      POST
    • Update Dataset
      POST
    • Modify Dataset Field Alias
      POST
    • Modify Dataset Name
      POST
    • Dataset Preview
      POST
    • Modify SQL Model Structure
      POST
    • Get Dataset Folder List
      POST
    • Batch Query Dataset Basic Information
      POST
    • Batch Query Dataset Permissions
      POST
  • Dashboards
    • Get Dashboard/Page List
    • Search Pages by Name Keyword
    • Get Users with Read Permission for Page
    • Get Page List in Tree Structure
    • Export Dashboard as PDF or Image
    • Get Dashboard Export File
    • Get Page Basic Information
    • Get Page Information
    • Get Dashboard Smart Insights
  • Cards
    • Get Card Data
      POST
    • Create Card Based on Dataset (Random ID)
      POST
    • Get Card Insight Agent
      POST
  • Subscriptions and Alerts
    • Query Subscription List
    • Query Alert List
    • Query Notification Sending History
    • Download Custom Channel Push File
    • Enable/Disable Subscription
    • Enable/Disable Alert
  • Permissions
    • Get Pages Accessible by User
    • Get Datasets Accessible by User
    • Modify User Page Access and Ownership
    • Modify User Dataset Access and Ownership
    • Get Pages Accessible by User Group
    • Get Datasets Accessible by User Group
    • Modify User Group Page Access and Ownership
    • Modify User Group Dataset Access and Ownership
    • General Resource Permission Grant and Revoke
    • Grant Resource Permissions to User or User Group
    • Revoke Resource Permissions from User or User Group
  • Resource Operations
    • Migrate Resources with Owner Permission from Specified User
    • Migrate Resources with Owner Permission from User Group
    • Generic Resource List
  • Card Exports
    • Card Export API Guide
    • Public API Card Export
    • Public API Task Status Polling
    • Public API Card Export File Download
  • Sessions
    • Session Create or Update
    • Query Dataset Session Configuration
  • Folders
    • Create Folder
    • Modify Folder Directory
    • Delete Folder
    • Add Folder Permission
    • Delete Folder Permission
    • Batch Query Folder Permissions
  • Data Accounts
    • Create Data Account
  • Authentication
    • User Login
    • Login via loginId
    • User Logout
  • User Management
    • User Management Overview
    • User Groups
      • Batch Create User Groups
      • Batch Modify User Groups
      • Delete User Group
      • Get User Group List
      • Add Single User Group
      • Delete User Group V2
    • User Group Members
      • Add Users to User Group
      • Remove User from User Group
      • Get Direct Users Under User Group
      • Get Direct User Groups of User
    • Roles
      • Query Role Information for User
      • Add Custom Role for User
      • Unbind Custom Roles for User
    • User Linked Accounts
      • Linked Account Configuration Guide
      • Configure User External Associated Account
      • Delete User Associated Account
      • Query User External Linked Accounts
  • System Related
    • Get Monitoring Information
  • Metric Center
    • Get Metric Project
    • Get Folders Under Metric Project
    • Get Metrics Under Project and Folder
    • Get Metric Details
  • Lineage
    • Query Resource Lineage
    • Query Field Lineage
  • Insight Agent
    • Create Insight Agent Task
    • Query Conversation Details
  1. Cards

Get Card Data

POST
/public-api/card/{cardId}/data
API Description
Get card data information by specifying card ID
Chart Type Description
Field: cd_type
Enum values
Enum Name Storage Value Comment
CHART 0 Chart
TEXT 1 Text
IFRAME 2 iframe
DRILL 3 Drill
PICTURE 4 Picture
PARAMETER 5 Parameter
SELECTOR 6 Selector
LIST_VIEW 7 Custom List
TREE_SELECTOR 8 Tree Selector
LAYOUT 9 Layout
CUSTOM 10 Custom
ANALYSIS 11 Enhanced Analysis
MERGE_SELECTOR 12 Custom Report Field Pane
Chart Type
Database Storage
Table: card
Field: chart_type
Enum values
Enum Name Storage Value Comment
BASIC_COLUMN 0 Single Column Chart
GROUPED_COLUMN 1 Grouped Column Chart
STACKED_COLUMN 2 Stacked Column Chart
PERCENT_STACKED_COLUMN 3 Percent Stacked Column Chart
BASIC_BAR 4 Single Bar Chart
STACKED_BAR 5 Stacked Bar Chart
PERCENT_STACKED_BAR 6 Percent Stacked Bar Chart
BASIC_LINE 7 Line Chart
PIE 8 Pie Chart
FOUR_QUADRANTS_SCATTER_PLOT 9 Four Quadrants Scatter Plot
MULTI_LINE 10 Multi-Line Chart
BASIC_SCATTER_PLOT 11 Enhanced Analysis
BASIC_MAP 12 China Administrative Map
BAIDU_HEAT_MAP 13 Baidu Heat Map
PIVOT_TABLE 14 Pivot Table
SINGLE_VALUE 15 Metric Card
KPI_CARD 16 Comparison Metric Card
BULLET_BAR 17 Bullet Bar Chart
BULLET_COLUMN 18 Bullet Column Chart
SOLID_GAUGE 19 Solid Gauge
PROGRESS_BAR 20 Progress Chart
GROUPED_COLUMN_WITH_LINE 21 Grouped Column + Line Chart
STACKED_COLUMN_WITH_LINE 22 Stacked Column + Line Chart
PERCENT_COLUMN_WITH_LINE 23 Percent Column + Line Chart
GROUPED_COLUMN_WITH_SYMBOL 24 Grouped Column + Symbol Chart
STACKED_COLUMN_WITH_SYMBOL 25 Stacked Column + Symbol Chart
PERCENT_COLUMN_WITH_SYMBOL 26 Percent Column + Symbol Chart
SANKEY 27 Sankey Diagram
BASIC_BUBBLE 28 Bubble Chart
BUBBLE_MAP 29 Bubble Administrative Map
GROUPED_BAR 30 Grouped Bar Chart
POINT_MAP 31 Symbol Administrative Map
RADAR_LINE 32 Radar + Line Chart
FUNNEL 33 Funnel Chart
HORIZONTAL_FUNNEL 34 Horizontal Funnel Chart
BAIDU_MAP_WITH_SYMBOL 35 Baidu Symbol Map
WATERFALL_COLUMN 36 Waterfall Column Chart
PROGRESS_PIE 37 Circular Progress Chart
STACKED_SPLIT_COLUMN 38 Grouped Stacked Column Chart
STACKED_SPLIT_BAR 39 Grouped Stacked Bar Chart
LIQUID_GAUGE 40 Liquid Gauge
CALENDAR_VIEW 41 Calendar View
HEAT_MAP 42 Heat Map
TREE_MAP 43 Treemap
CI_LINE 44 Deprecated
PARETO 45 Pareto Chart
SELECT 46 Selector
MULTI_SELECT 47 Multi-Select Selector
WORD_CLOUD 48 Word Cloud
TIME_SELECTOR 49 Time Selector
BOX_PLOT 50 Box Plot
TEXT_INTERVAL_SELECTOR 51 Interval Selector
TIME_MACRO_SELECTOR 52 Time Macro Selector
ACTIVITY_GAUGE 53 Activity Gauge
YT_INDOOR_MAP 54 Etone Indoor Map
FN_INDOOR_MAP 55 Fengniao Indoor Map
SURFACE_MAP 56 Surface Map
STACKED_AREA 57 Stacked Area Chart
PERCENT_STACKED_AREA 58 Percent Stacked Area Chart
RISING_SUN 59 Sunburst Chart
LIST_VIEW 60 Custom List
WORLD_MAP 61 World Map
BAIDU_MIGRATION_MAP 62 Baidu Migration Map
PLUGIN 63 Visualization Plugin
GROUPED_TABLE 64 Grouped Table
SCROLL_TABLE 65 Scrolling List
DETAIL_TABLE 66 Detail Table
ITEM_VIEW 67 Item View
DATA_GRID 68 Two-Dimensional Table
MULTIDIMENSIONAL_SANKEY 69 Multi-Dimensional Sankey Diagram
BUTTERFLY 70 Butterfly Chart
DUMBBELL_PLOT 71 Dumbbell Plot
KPI_TREND 72 KPI Trend Chart

Request

Path Params

Header Params

Body Params application/json

Example
{
    "dynamicParams": [
        {}
    ],
    "filters": [
        {
            "name": "string",
            "filterType": "GT",
            "filterValue": [
                "string"
            ]
        }
    ],
    "offset": 0,
    "limit": 0,
    "view": "GRAPH"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/public-api/card//data' \
--header 'X-Auth-Token;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "dynamicParams": [
        {}
    ],
    "filters": [
        {
            "name": "string",
            "filterType": "GT",
            "filterValue": [
                "string"
            ]
        }
    ],
    "offset": 0,
    "limit": 0,
    "view": "GRAPH"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "result": "ok",
    "response": {
        "chartMain": {
            "offset": 0,
            "data": [
                [
                    {
                        "v": 700
                    }
                ],
                [
                    {
                        "v": 700
                    }
                ],
                [
                    {
                        "v": 700
                    }
                ],
                [
                    {
                        "v": 700
                    }
                ],
                [
                    {
                        "v": 739
                    }
                ],
                [
                    {
                        "v": 700
                    }
                ],
                [
                    {
                        "v": 700
                    }
                ],
                [
                    {
                        "v": 700
                    }
                ],
                [
                    {
                        "v": 700
                    }
                ],
                [
                    {
                        "v": 700
                    }
                ]
            ],
            "column": {
                "meta": [
                    {
                        "title": "Metric",
                        "metaType": "METRIC",
                        "headerFormat": null,
                        "isMPH": true
                    }
                ],
                "values": [
                    [
                        {
                            "title": "Unit Price",
                            "type": "metric",
                            "originTitle": "Unit Price",
                            "alias": null,
                            "fmt_idx": 0,
                            "fdType": "LONG",
                            "fdId": "l99eda651f429419a900b156",
                            "headerFormat": null,
                            "key": "zCxQmiQVKI",
                            "miniChart": null,
                            "annotation": "",
                            "sortField": "c1",
                            "emptyCol": false
                        }
                    ]
                ],
                "fieldFormat": {
                    "dimThreshold": [],
                    "linkFormat": []
                },
                "metricFieldFormat": {
                    "numberFormat": [
                        null
                    ],
                    "conditionFormat": [
                        null
                    ],
                    "linkFormat": [
                        null
                    ]
                },
                "columnFieldFormat": {
                    "numberFormat": [
                        null
                    ]
                }
            },
            "count": 12,
            "meta": {
                "dynamicParameters": [],
                "axes": {
                    "categoryAxis": {
                        "showTitle": false,
                        "title": null,
                        "autoStep": true,
                        "step": "",
                        "distance": "",
                        "visible": true
                    },
                    "mainAxis": {
                        "tickInterval": null,
                        "max": "",
                        "unit": null,
                        "tickPosition": null,
                        "autoTickInterval": true,
                        "visible": true,
                        "min": "",
                        "distance": "",
                        "autoExtremes": true,
                        "showGridLine": true,
                        "title": null,
                        "showTitle": false,
                        "minorTickPosition": null
                    },
                    "navigator": {
                        "showNavigator": false,
                        "fixedValueAxis": true
                    }
                }
            },
            "hitCache": true,
            "extra": {
                "headerSortings": null
            },
            "limit": 10,
            "hasMoreData": true,
            "limitInfo": {
                "dataLimit": 20000,
                "colLimit": 100,
                "hasMoreData": false,
                "hasMoreCol": false
            },
            "row": {
                "fieldFormat": {
                    "dimThreshold": [
                        null
                    ],
                    "linkFormat": [
                        {
                            "type": "text"
                        }
                    ]
                },
                "rowFieldFormat": {
                    "numberFormat": [
                        null
                    ]
                },
                "meta": [
                    {
                        "fdId": "f070df980c55f4de2ad01b91",
                        "title": "Store Name",
                        "originTitle": "Store Name",
                        "alias": null,
                        "fdType": "STRING",
                        "metaType": "DIM",
                        "parentFdName": null,
                        "granularity": null,
                        "headerFormat": null,
                        "key": "UltHzhtQbN",
                        "annotation": "",
                        "sortField": "c0"
                    }
                ],
                "values": [
                    [
                        {
                            "titleType": "STRING",
                            "granularity": null,
                            "title": "Beijing Branch",
                            "num_fmt_idx": 0,
                            "emptyCol": false
                        }
                    ],
                    [
                        {
                            "titleType": "STRING",
                            "granularity": null,
                            "title": "Yunnan Branch",
                            "num_fmt_idx": 0,
                            "emptyCol": false
                        }
                    ],
                    [
                        {
                            "titleType": "STRING",
                            "granularity": null,
                            "title": "Qinghai Branch",
                            "num_fmt_idx": 0,
                            "emptyCol": false
                        }
                    ],
                    [
                        {
                            "titleType": "STRING",
                            "granularity": null,
                            "title": "Jiangsu Branch",
                            "num_fmt_idx": 0,
                            "emptyCol": false
                        }
                    ],
                    [
                        {
                            "titleType": "STRING",
                            "granularity": null,
                            "title": "Shandong Branch",
                            "num_fmt_idx": 0,
                            "emptyCol": false
                        }
                    ],
                    [
                        {
                            "titleType": "STRING",
                            "granularity": null,
                            "title": "Hunan Branch",
                            "num_fmt_idx": 0,
                            "emptyCol": false
                        }
                    ],
                    [
                        {
                            "titleType": "STRING",
                            "granularity": null,
                            "title": "Shanghai Branch",
                            "num_fmt_idx": 0,
                            "emptyCol": false
                        }
                    ],
                    [
                        {
                            "titleType": "STRING",
                            "granularity": null,
                            "title": "Guangdong Branch",
                            "num_fmt_idx": 0,
                            "emptyCol": false
                        }
                    ],
                    [
                        {
                            "titleType": "STRING",
                            "granularity": null,
                            "title": "Jilin Branch",
                            "num_fmt_idx": 0,
                            "emptyCol": false
                        }
                    ],
                    [
                        {
                            "titleType": "STRING",
                            "granularity": null,
                            "title": "Zhejiang Branch",
                            "num_fmt_idx": 0,
                            "emptyCol": false
                        }
                    ]
                ]
            },
            "config": null
        },
        "view": "GRID",
        "rawDataNotChanged": false,
        "chartType": "BASIC_COLUMN",
        "cardType": "CHART"
    }
}
Modified at 2026-07-14 14:06:53
Previous
Get Dashboard Smart Insights
Next
Create Card Based on Dataset (Random ID)